classification
Title: Documentation displays incorrectly in iexplore.
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: LambertDW, georg.brandl, terry.reedy
Priority: normal Keywords:

Created on 2008-10-03 14:17 by LambertDW, last changed 2008-10-07 05:07 by LambertDW. This issue is now closed.

Files
File name Uploaded Description Edit
linksCanOverlapText.bmp LambertDW, 2008-10-03 14:17
Messages (5)
msg74251 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-03 14:17
I use IEXPLORE version 6.0.2900.2180.xpsp_sp2_gdr.-70227-2254CO 
without any known customizations and have observed 3 display 
problems.  (And since I guess that the python html libraries generated 
the manuals, could these libraries be improved?)

1) The browser ties underscores together into an underline making them 
hard to count.

2) The horizontal position of the quick links depends on the browser 
window width.  Very narrow and they hide themselves beyond the right 
window edge.  Sufficiently wide and they fit into the left margin 
where they sensibly belong.  At a comfortable reading width they 
overlap the text.  See picture.

3) The "print" function heading displays incorrectly.  Please view the 
attached picture.  Backslashes seem to display correctly elsewhere in 
the various normal texts throughout the documents.  Also the space 
character would be more obvious in a fixed width font.

Thanks,
Dave.
msg74297 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2008-10-04 01:52
3. There is a typo  to fix in the header for print on
http://docs.python.org/library/functions.html
end = 'n' should be end = '\n'

About spaces: both IE7 and FF3 on my machine display the same line with
real commas that appear moved a pixel to the left, instead of the
comma-apostrophes in your picture.

1. Multiple underscores are supposed to form an underline.  This is
standard in any case and completely out of the Python's control.  

2. IE6 is ancient*.  Upgrade or get Firefox 3.  Seriously.
(If you don't like IE7, I sympathize.  It drove me to FF.)
* From what I have read, it is very buggy w/r/t the standards.
IE7 displays the new docs just fine.
The Windows installer includes the docs in Windows Help format and the
Start Menu Pythonx.y directory has an entry for it.  No browser needed.

On both IE7 and FF3, the index bar is rock solid, not shrinking even
with a text width of 1/4 inch.  The only problem is that below about 6
inches, the title above, "Python v3.0c1 documentation » The Python
Standard Library » wraps down into the index area.  This is identical on
both and unavoidable.
msg74298 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-04 02:14
multiple underscores could be replaced by a gif.  latex2html solves a 
bunch of font problems this way.

I tried to dump IE but was warned it would break microsoft office, 
which I need for work.  If you happen to know how to adjust the 
registry so that msoffice works with FF, I'd like to know, but it 
belongs not in the python bugs.
msg74319 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-10-04 18:37
I concur with Terry on all counts. Specifically:

1. How the underscores are displayed depends on the font you've selected
as your monospace font. Replacing them with an image is ugly and will
never look remotely nice.

2. I will fix the stylesheet if you can give me an example CSS that will
have the same effect on modern browsers, and at the same time give a
good appearance on IE6.

3. Thanks for noting, fixed the typo in r66795.
msg74423 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-07 05:07
I installed google chrome.  The manual display is absolutely beautiful.

Thanks for your good work!

Proofreader Dave.
History
Date User Action Args
2008-10-07 05:07:21LambertDWsetmessages: + msg74423
2008-10-04 18:37:27georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg74319
2008-10-04 02:14:53LambertDWsetmessages: + msg74298
2008-10-04 01:52:46terry.reedysetnosy: + terry.reedy
messages: + msg74297
2008-10-03 14:17:28LambertDWcreate